import { Component, OnInit } from '@angular/core';
import {NavController} from "@ionic/angular";
import {Router} from "@angular/router";
import {SessionDataProviderService} from "../../store/session-data-provider.service";
import {WrenchService} from "../../services/wrench.service";

@Component({
  selector: 'app-jobpastdue',
  templateUrl: './jobpastdue.page.html',
  styleUrls: ['./jobpastdue.page.scss'],
})
export class JobpastduePage implements OnInit {
  jobData: any;
  tabs = 'activities';
  item_banner:string = 'default.jpg';

  constructor(
      private navctr: NavController,
      private router: Router,
      public sessionDataProviderService: SessionDataProviderService,
      private wrenchService: WrenchService
  ) {
    this.jobData  =  this.router.getCurrentNavigation().extras.state;
    this.item_banner = this.jobData.banner;
  }


  ngOnInit() {
  }

  onBack() {
    this.navctr.back();
  }

  extendJobDueDate(){

  }
  cancelThisJob(){

  }
}
